Subject: Re: your query

From: "Julian Satran" <[email-masked]>
Date: Wed, 8 Aug 2001 10:34:33 +0300

TCP works with some other structures. It is a sliding window protocol. And
yes for the links you mentioned the window has to be sizable. And the
number-of-SCSI commans/R2Ts/Data in flow has to be also large to fill the
pipe.

Julo

"Satish Menon" <[email-masked]> on 08-08-2001 00:55:41

Please respond to "Satish Menon" <[email-masked]>

To:   Julian Satran/Haifa/IBM@IBMIL
cc:
Subject:  your query

Here is how the  calculation was done. Also, some folks told me that N-port
HBAs don't reserve  end-to-end credits by exchange, they just have a common
pool of
credits  for the entire HBA (around 16), so the calculations factor in
this
new
data point.

Assume a 1 Gbps link.
Assume a 2K FC  frame.

So it takes 16us to transmit a frame. For 200ms RTT, that means  that
200ms/
16us ~ 10,000 credits.

Case A. For a 1Gbps FCIP link with  100 N-port HBAs, each HBA needs to
advertise 100 credits (10,000/100) to  fully utilize the link. The
utilization with 16 credits/ HBA will be  16%.

Case B. For a 1 Gbps FCIP link with 5 N-port HBAs, each HBA needs  to
advertise 2,000 credits (10,000/5) to fully utilize the link.  The
utilization with 16 credits/ HBA will be 0.8%.

Case C. For a 10  Gbps FCIP link with 100 N-port HBAs, each HBA needs to
advertise 1,000  credits to fully utilize the link. The utilization with 16
credits/ HBA will  be 1.6%.

Case D. For a 10 Gbps FCIP link with 5 N-port HBAs, each HBA  needs to
advertise 20,000 credits to fully utilize the link. The utilization  with
16
credits/ HBA will be 0.08%.
------------

> -----  Original Message -----
>
> From: "Julian Satran" <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, August 06, 2001 11:01  PM
> Subject: Re:
>
>
> >
> > How did you  come to this number?  What did you assume for the exchange
> >  length?
> >
> > Julo
> >
> > "Satish Menon"  <[email-masked]>@ece.cmu.edu on 06-08-2001
> > 23:44:05
>  >
> > Please respond to "Satish Menon" <[email-masked]>
> >
> > Sent by:  [email-masked]
> >
> >
> > To:   <[email-masked]>
> > cc:
> > Subject:
> >
>  >
> >
> >
> >
> > Does anyone know how  many end-to-end credits a typical HBA (N-port)
> issues
> > per  exchange? For a long distance link over FCIP, clearly this number
> >  needs to be large. If not, then the link utilization will be extremely
>  > poor. For e.g. a 200ms RTT link at 1 Gbps assuming 1 exchange  through
it,
> > it will need 10,000 credits to keep the link fully  utilized. Using a
> > different  number of exchanges say 2000, the  number of credits per
> exchange
> > drop to  5.
>  >
> >
> >
>